Bug 103832 - RH9 installs the default version of Apache (and some/all associated components) despite having been asked not to.
Summary: RH9 installs the default version of Apache (and some/all associated component...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer   
(Show other bugs)
Version: 9
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-09-05 14:06 UTC by Steve Arnott
Modified: 2007-03-27 04:09 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-05 03:24:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Steve Arnott 2003-09-05 14:06:17 UTC
Detail:
During the installation of RH9, if you choose a custom install and check the 
webserver box (and/or click the details option and maybe change some 
selections therein) AND THEN uncheck the webserver option, httpd and the 
selected components are installed anyway.

IF you never check the webserver box at all - and it's unchecked by default - 
then httpd (and associated services) don't get installed at all.

This may not be a huge problem, but an irritating one nonetheless. E.g. I 
wanted to install the latest RawHide versions of Apache, MySQL and PHP, but 
inter-dependencied and version incompatibilities made it very difficult to do 
this with the default Apache loaded. I stumbled upon the solution on about the 
6th attempt. Apache WASN'T installed, and all the RawHides went in fine first 
time.

I don't know if this happens with other components too.


How reproducible:
Very. Happened every time on my install.

Comment 1 Michael Fulbright 2003-09-05 16:25:41 UTC
Probably related to the other existing package selection issues.


Note You need to log in before you can comment on or make changes to this bug.